import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Color;
import java.awt.Graphics;

/**
 * Counter that displays a text and number.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class Counter extends Actor
{
    private static final Color TEXT_COLOR = new Color(255, 180, 150);
    private static final Color TRANSPARENT_COLOR = new Color(0, 0, 0, 0);
    
    private Rocket rocket;
    
    public Counter(Rocket rocket)
    {
        this.rocket = rocket;

        updateImage();
    }
    
    public void act() {
        updateImage();
    }

    private void updateImage()
    {
        String text = "Score: " + rocket.getScore();
        GreenfootImage image = new GreenfootImage(text, 20, TEXT_COLOR, TRANSPARENT_COLOR);
        setImage(image);
    }
}
