import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;

/**
 * ... the final frontier
 * 
 * @author Poul Henriksen
 */
public class Space extends World
{
    public Space() {
        super(600, 400, 1, false);
        getBackground().setColor(Color.BLACK);
        getBackground().fill();
        createStars(300);

        Rocket rocket = new Rocket();
        addObject(rocket, 300,200);
        addObject(new Counter(rocket), 50, 350);

        prepare();
    }

    private void createStars(int number) {
        GreenfootImage background = getBackground();             
        for(int i=0; i < number; i++) {            
            int x = (int) (Math.random() * getWidth());          
            int y = (int) (Math.random() * getHeight());
            int color = 250 - (int) (Math.random() * 100);
            background.setColor(new Color(color,color,color));
            background.fillOval(x,y,2,2);
        }
    }    

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {

        Asteroid asteroid = new Asteroid();
        addObject(asteroid, 139, 371);
        Asteroid asteroid2 = new Asteroid();
        addObject(asteroid2, 62, 245);
        Asteroid asteroid3 = new Asteroid();
        addObject(asteroid3, 116, 55);
        Asteroid asteroid4 = new Asteroid();
        addObject(asteroid4, 139, 155);
        Asteroid asteroid5 = new Asteroid();
        addObject(asteroid5, 496, 365);
        Asteroid asteroid6 = new Asteroid();
        addObject(asteroid6, 554, 240);
        Asteroid asteroid7 = new Asteroid();
        addObject(asteroid7, 464, 136);
        Asteroid asteroid8 = new Asteroid();
        addObject(asteroid8, 537, 54);
    }
}